Market Data

Get live midpoints for multiple markets

GET
/midpoints

Authorization

appId
headerx-app-id<token>

Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.

Query Parameters

venueMarketIds*string|array<string>
bestPrice?boolean

Response Body

200

application/json
  1. response
data*array<>
Example Request
curl -X GET 'https://api.t.sufwankhalid.com/midpoints?venueMarketIds=string'
Example Response
{  "data": [    {      "venueMarketId": "string",      "venue": "string",      "midpoint": 0,      "spread": 0,      "timestamp": 0,      "outcomes": [        {          "venueMarketOutcomeId": "string",          "label": "string",          "midpoint": 0,          "markSource": "local",          "bookQuality": "healthy",          "bestBid": 0,          "bestAsk": 0        }      ],      "matched": [        {          "venueMarketId": "string",          "venue": "string",          "midpoint": 0,          "outcomes": [            {              "venueMarketOutcomeId": "string",              "label": "string",              "midpoint": 0,              "bestBid": 0,              "bestAsk": 0            }          ],          "bestBid": 0,          "bestAsk": 0        }      ],      "markSource": "local",      "siblingVenueMarketId": "string",      "bestBid": 0,      "bestAsk": 0,      "arbReturn": 0,      "marketStatus": "open",      "error": {        "code": "market_resolved",        "message": "string",        "retryable": true      }    }  ]}